ChangeSet 1.1722.97.68, 2004/06/11 17:05:38-07:00, david-b@pacbell.net

[PATCH] USB: usbnet shouldn't oops on cdc error path

If the string descriptor fetch works, no problem.  Else
make the disconnect() logic -- newly called because of
"recent" changes to interface claiming logic -- use its
fast cleanup path, since we're still not fully set up yet.

Should resolve OSDL bugid 2714; please merge.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/net/usbnet.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Fri Jun 18 10:55:05 2004
+++ b/drivers/usb/net/usbnet.c	Fri Jun 18 10:55:05 2004
@@ -1157,6 +1157,7 @@
 
 	status = get_ethernet_addr (dev, info->ether);
 	if (status < 0) {
+		usb_set_intfdata(info->data, NULL);
 		usb_driver_release_interface (&usbnet_driver, info->data);
 		return status;
 	}
